require 'rncher/version'
require 'io/console'
require 'eventmachine'
require 'json'
require 'yaml'
require 'rest-client'
require 'thor'
require 'active_support/all'
require 'faye/websocket'
require 'tty-table'
require 'activeresource'
require 'pastel'

require 'resources/credential'
require 'active_resource/base_collection'
require 'active_resource/keyboard_handler'
require 'active_resource/remote_connection'
require 'resources/base'
require 'resources/app'
require 'resources/service'
require 'resources/container'

require 'rncher/app'
require 'rncher/service'
require 'rncher/cli'

module Rncher
  # ActiveResource::Base.logger = Logger.new(STDERR)
  trap("INT") { puts "\nExiting...";  exit}
end
