class Service < Base
  self.element_name = 'service'
  belongs_to :app, foreign_key: 'stackId'


  def containerstats_token
    attributes = {
      'follow': true,
      'lines': 500
    }
    request_token(:logs, attributes)
  end

  def request_token
    response = get(:containerstats)
    {token: response['token'], url: response['url']}
  end

  def upgrade(attributes)
    response = post(nil, {action: :upgrade}, attributes.to_json)
    JSON.parse(response.body)
  end

  def finish_upgrade
    response = post(nil, {action: :finishupgrade})
    JSON.parse(response.body)
  end
end
